package com.zy.bms.model;

import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;

import java.io.Serializable;
import java.time.LocalDateTime;

/**
 * <p>
 * 项目组
 * </p>
 *
 * @author chenyi
 * @since 2021-05-19
 */
@Data
@TableName("item_group")
public class Group implements Serializable {

    private static final long serialVersionUID = 1L;

    @TableId
    private Integer id;

    /**
     * 项目ID
     */
    private Integer itemId;

    /**
     * 项目组编号
     */
    private String code;

    /**
     * 项目组名称
     */
    private String name;

    /**
     * 备注
     */
    private String remark;

    /**
     * 创建时间
     */
    private LocalDateTime createTime;

    /**
     * 0:禁用 1:启用
     */
    private Integer status;

}
