package com.zy.bms.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.zy.bms.common.io.pc.AdminIO;
import com.zy.bms.common.vo.AdminListVo;
import com.zy.bms.model.Admin;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;

/**
 * 管理员 Mapper
 *
 * @author chenyi
 * Create on 2020/4/10
 */
@Mapper
@Repository
public interface AdminMapper extends BaseMapper<Admin> {

    /**
     * 分页查询管理员
     */
    IPage<AdminListVo> listPage(Page<AdminListVo> page, @Param("io") AdminIO io);
}
